/* switches.h
 * Part of the RTAudio.Client project.
 * This file contains the struct definition for RTA_switches.
 * Written by Electronic One <dkaye@cyberspc.mb.ca>
 */

#ifndef _RTA_C_switches_h
#define _RTA_C_switches_h

struct RTA_switches
{
   /* Program switches */
   
   /* Show help for using the program */
   char showhelp;  
   /* Use file or stdin for input instead of a server */
   char useinput;  
   /* Use file or stdout for output instead of /dev/audio */
   char useoutput;  
   /* Display program version/info */
   char showver;  
   /* Connect to a host */
   char connect;
   /* Are we in ncurses or plain text mode? */
   char mode;
   
   /* Program switch arguments */
   
   /* Stores the name for the host to connect to */
   char host_name[100]; 
   /* Stores the file to use for input */
   char inf_name[100];
   /* Stores the file to use for output */
   char outf_name[100];
};

typedef struct RTA_switches SW;

struct RTA_switches *parse_switches(int argc, char *argv[]);
void nonsense(char *msg);

#endif

